<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:template match="/collection">
    <html>
      <head>
        <title>Meine CD-Sammlung</title>
      </head>
      <body>
        I have
        <xsl:value-of select="count(/collection/cd)"/>
        CDs with a total of
        <xsl:value-of select="count(//song)"/>
        songs.
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="cd">
    <h1>
      <xsl:value-of select="artist"/>
      <xsl:text> / </xsl:text>
      <xsl:value-of select="title"/>
      <xsl:text> (</xsl:text>
      <xsl:value-of select="@year"/>
      <xsl:text>)</xsl:text>
    </h1>
    <xsl:apply-templates select="songlist"/>
  </xsl:template>

  <xsl:template match="songlist">
    <ul>
      <xsl:apply-templates/>
    </ul>
  </xsl:template>

  <xsl:template match="song">
    <li><xsl:apply-templates/></li>
  </xsl:template>

</xsl:stylesheet>
